	org $1001-2
	dw  $1001

src	= $D0
dst	= $D2
clr_ptr	= $D4
ptr	= $D6
	
	dw nextln,2024
	db $9E,"4109",0
nextln	db 0,0

copy_data	macro src_addr, dst_addr, size
	lda #src_addr & 255
	sta src
	lda #src_addr >> 8
	sta src+1
	lda #dst_addr & 255
	sta dst
	lda #dst_addr >> 8
	sta dst+1
	ldx #size >> 8
	jsr $0600
	endm

start
	sei
	sta $ff3f
	;
	lda #(clear_data-2) & 255
	sta clr_ptr
	lda #(clear_data-2) >> 8
	sta clr_ptr+1
	;
clr_1	lda clr_ptr+1
	cmp #(clear_data_end-2) >> 8
	bne clr_2
	lda clr_ptr
	cmp #(clear_data_end-2) & 255
	beq clr_done
	;
clr_2	ldx #$CC
	cpx $FF1D
	bne *-3
	;
clr_3	lda clr_ptr
	clc
	adc #$02
	sta clr_ptr
	bcc *+4
	inc clr_ptr+1
	;
	ldy #$00
	lda (clr_ptr),y
	sta ptr
	iny
	lda (clr_ptr),y
	tax
	and #$0F
	sta ptr+1
	;
	dey
	lda #$A0
	sta (ptr),y
	;
	txa
	and #$0B
	sta ptr+1
	lda $FF19
	and #$7F
	sta (ptr),y
	;
	txa
	bmi clr_1
	bpl clr_3
	;
clr_done
	;
	lda #$0B
	sta $FF06
	;
	ldx #$FF
	lda $FF07
	and #$40
	beq *+4
	ldx #$F8
darken
	cpx $FF1D
	bne *-3
	cpx $FF1D
	beq *-3
	lda $FF19
	and #$7F
	sec
	sbc #$10
	bpl *+4
	lda #$00
	sta $FF19
	bne darken
	;
	ldx #$00
il1	lda main_code,x
	sta $0600,x
	dex
	bne il1
	;
	jmp $0600 + (main_code_st - main_code)

main_code
	ldy #$00
cp1	lda (src),y
	sta (dst),y
	iny
	bne cp1
	inc src+1
	inc dst+1
	dex
	bpl cp1
	rts

main_code_st
	lda $4100
	eor #$AA
	sta $0100
	cmp $4100
	beq is_c16
	;
	copy_data lo_comp, $E000, hi_comp - lo_comp
	copy_data hi_comp, $1001, hi_end - hi_comp
	jmp $100D
	;
	copy_data $E000, $1001, hi_comp - lo_comp
	jmp $100D
	;
is_c16	;
	copy_data lo_comp, $1001, hi_comp - lo_comp
	jmp $100D

lo_comp
	include "main_lo_comp_hex.asm"
hi_comp
	include "main_hi_comp_hex.asm"
hi_end

clear_data
	include "output.asm"
clear_data_end
;eof