snare_data
	dw $43A1
	dw $43E4
	dw $4381
	dw $43DC
	dw $4389
	dw $43C4

voltab_lo
	db vol_echo & 255

voltab_hi
	db vol_echo >> 8
	
VT_E		= $F0

vol_echo
	db 8,8,8, 8,8,8, 7,7,7, 7,7,7
	db 4,4,4, 4,4,4, 3,3,3, 3,3,3
	db 1,1,1, 1,1,1, 1,1,1, 1,1,1
	db $80

LEN = $40

def = $E0
bdr = $E1
snr = $E2
hh1 = $E3
hh2 = $E4
arp = $E5
vib = $E6
def_cut10 = $E7

Songs_Channel1_lo
	db HSChannel1 & 255
Songs_Channel1_hi
	db HSChannel1 >> 8
Songs_Channel2_lo
	db HSChannel2 & 255
Songs_Channel2_hi
	db HSChannel2 >> 8

Restart_Channel1_lo
	db HSChannel1 & 255
Restart_Channel1_hi
	db HSChannel1 >> 8
Restart_Channel2_lo
	db HSChannel2 & 255
Restart_Channel2_hi
	db HSChannel2 >> 8

HSChannel1
	dw pat_hs_bass
	dw pat_hs_bass
	dw pat_hs_bass
	dw pat_hs_bass
	dw pat_hs_bass_2
	dw 0
HSChannel2
	dw pat_hs_lead_1a,pat_hs_lead_2,pat_hs_lead_3a
	dw pat_hs_lead_1b,pat_hs_lead_2,pat_hs_lead_3b
	;
	dw pat_lead_b1
	dw pat_lead_b1
	;
	dw pat_hs_lead_1a,pat_hs_lead_2,pat_hs_lead_3a
	;
	dw 0
;
; ---
;
speed = 12
pat_lead_b1
	db VT_E
	db def_cut10
	db LEN+speed
	db G2, OFF,OFF
	db C3, G2, OFF
	db E3, C3, G2
	db G3, E3, C3
	db C4, G3, E3
	db D4, C4, G3
	db B3, D4, C4
	db G3, B3, D4
	;
	db F2, G3, B3
	db A2, F2, G3
	db C3, A2, F2
	db F3, C3, A2
	db A3, F3, C3
	db B3, A3, F3
	db G3, B3, A3
	db E3, G3, B3
	;
	db OFF,E3, G3
	db F2, OFF,E3
	db A2, F2, OFF
	db C3, A2, F2
	db OFF,C3, A2
	db G2, OFF,C3
	db B2, G2, OFF
	db D3, B2, G2
	;
	db OFF,D3, B2
	db C3, OFF,D3
	db E3, C3, OFF
	db G3, E3, C3
	db B3, G3, E3
	db OFF,B3, G3
	db OFF,OFF,B3
	db OFF,OFF,OFF
	db END_MARK

pat_hs_lead_1a
	db VT_E
	db def_cut10
	db LEN+speed
	db C4, OFF,OFF
	db G3, C4, OFF
	db END_MARK

pat_hs_lead_1b
	db VT_E
	db def_cut10
	db LEN+speed
	db C4, G3, B3
	db G3, C4, G3
	db END_MARK

pat_hs_lead_2
	db E3, G3, C4
	db C4, E3, G3
	;
	db B3, C4, E3
	db G3, B3, C4
	db D3, G3, B3
	db B3, D3, G3 
	;
	db A3, B3, D3
	db F3, A3, B3
	db C3, F3, A3 
	db A3, C3, F3 
	;
	db G3, A3, C3
	db E3, G3, A3
	db C3, E3, G3 
	db G3, C3, E3 
	;
	db F3, G3, C3
	db C3, F3, G3
	db A2, C3, F3 
	db F3, A2, C3 
	;
	db E3, F3, A2
	db D3, E3, F3
	db C3, D3, E3 
	db B2, C3, D3 
	;
	db END_MARK

pat_hs_lead_3a
	db C3, B2, C3
	db D3, C3, B2
	db E3, D3, C3
	db F3, E3, D3
	;
	db G3, F3, E3
	db A3, G3, F3
	db B3, A3, G3
	db G3, B3, A3
	;
	db END_MARK

pat_hs_lead_3b
	db C3, B2, C3
	db OFF,C3, B2
	db OFF,OFF,C3
	db LEN+speed*3
	db OFF,OFF,OFF,OFF,OFF
	;
	db END_MARK

pat_hs_bass
	db VT_E
	db      vib, LEN+speed*3,    C1
	db      SET_ARP, $59,        G2
	db snr, vib, LEN+speed*3-6,  C1
	db           LEN+speed*3,    D1
	;
	db      vib, LEN+speed*3,    G0
	db      SET_ARP, $47,        G2
	db snr, vib, LEN+speed*3-6,  G0
	db           LEN+speed*3,    A0
	;
	db      vib, LEN+speed*3,    F0
	db      SET_ARP, $47,        F2
	db snr, vib, LEN+speed*3-6,  F0
	db           LEN+speed*3,    G0
	;
	db      vib, LEN+speed*3,    C1
	db      SET_ARP, $38,        E2
	db snr, vib, LEN+speed*3-6,  C1
	db           LEN+speed*3,    G0
	;
	db      vib, LEN+speed*3,    F0
	db      SET_ARP, $59,        C2
	db snr, vib, LEN+speed*3-6,  F0
	db           LEN+speed*3,    F0
	;
	db      vib, LEN+speed*3,    G0
	db      SET_ARP, $38,        B1
	db snr, vib, LEN+speed*3-6,  G0
	db           LEN+speed*3,    B0
	;
	db      vib, LEN+speed*3,    C1
	db      SET_ARP, $47,        C2
	db snr, vib, LEN+speed*3-6,  C1
	db           LEN+speed*3,    B0
	;
	db      vib, LEN+speed*3,    G0
	db      SET_ARP, $59,        D2
	db snr, vib, LEN+speed*2-6,  G0
	db           LEN+speed*2,    A0,B0
	db END_MARK

pat_hs_bass_2
	db VT_E
	db      vib, LEN+speed*3,    C1
	db                           OFF
	db                           C1
	db                           D1
	;
	db                           G0
	db                           OFF
	db                           G0
	db                           A0
	;
	db                           F0
	db                           OFF
	db                           F0
	db                           G0
	;
	db                           C1
	db                           OFF
	db                           C1
	db                           G0
	;
	db                           F0
	db                           OFF
	db                           F0
	db                           F0
	;
	db                           G0
	db                           OFF
	db                           G0
	db                           B0
	;
	db                           C1
	db                           OFF
	db                           C1
	db                           B0
	;
	db                           G0
	db                           OFF
	db          LEN+speed*2,     G0,A0,B0
	db END_MARK
;[eof]